; =====================================
; ===   ELFISH INSTALLING PROGRAM   ===
; =====================================
@prod = "ELFISH"         ; name of the product
@path = "C:\ELFISH"      ; starting destination subdirectory
@source = "DATA"         ; source subdirectory
@prefix = "XX"           ; DLL-prefix
; =====================================
#HEADER ELFISH INSTALL PROGRAMM
#AIUTO  << ELFISH >>
#VERSION (C) AnimaTek *** 1993
; =====================================
:START
@PACKMODE = 1         ; starting packing bitmode:
                      ; xx1 - regular VGA
                      ; x1x - HI-resolution SVGA
                      ; 1xx - sound-card support

#GOSUB HARDWARE_TEST  ; test mouse , i386, i387, VGA, and RAM > 3700K.
                      ; Changes @PACKMODE
; =====================================

; ===== Greating and Ask for User name
:ENTRY_OWNER
#TEXT 0 3 53

~Hi !
~Welcome to the ELFISH
~demo installation program!

~Press any key to INSTALL or Esc to EXIT

#
#KEYHIT
#TEXTOFF
#IF @reply = 27 #ABORT

; =====================================
; ===     Installation Process      ===
; =====================================
@message = Unpacking regular VGA version....
; ==== Take the distination Subdirectory
#PROMPT ELFISH DESTINATION DIRECTORY
#AIUTO @message
#BEEP

; === Get destination path
#GETLINE @path 0 3 0 [ SET ELFISH PATH ]

~Now, please specify the 
~destination drive and subdirectory
~where El-Fish Demo
~will be installed.

~Press 'Enter' to start.
~Press 'Escape' to quit installation.

~----------------

#
#if @reply=27 #ABORT

#CHECKDIR @path
; Returns -1 - incorr subdir name
; 0 - O.K.
; 1 - subdir is just exist

#IF @reply = 0 GOTO RUN_INSTALLATION

#PROMPT "DST > "@path
#AIUTO KEYS:  - select; 'Enter'-confirm

#TEXT 0 3 53

~This subdirectory already exists:

#
#MENU 0 -1 0 [ WHAT TO DO ? ]
 CHOOSE ANOTHER SUB-DIRECTORY
 O V E R W R I T E
 ABORT INSTALLATION
#
#TEXTOFF
#IF @reply = 3 #ABORT
#IF @reply = 1 GOTO TAKE_DESTINAT
#IF @reply = 2 GOTO RUN_INSTALLATION
#GOTO ASKFOREXIST

; ======== INSTALLATION EXECUTING
:RUN_INSTALLATION
#PROMPT "INSTALLING EL-FISH DEMO"
#AIUTO KEYS: Press 'Esc' to quit

#MKDIR ; make path directory

#UNPACK 1500000 ELFISH.PKD
#IF @reply = 27 #ABORT

; =====================================
; == Final Post-installational Dialogue
; =====================================
#GOSUB  MAKE_AUTOEXEC
#GOSUB  MAKE_CONFIGSYS

; ==== End of Work
:FINISH
#CHDIR                ; change final directory
#SETUP "ELFISH.INS"   ; write the ELFISH.INS user name

#BEEP

#IF @errors = 0 GOTO Final
#DELETE "INSTALL.ERR"
#TOFILE "INSTALL.ERR"

            Installation of the ELFISH DEMO is FINISHED!
       

        Read READ.ME file before running the ELFISH DEMO

#

#PROMPT "WARNING!"@errors"DEMO MAY NOT RUN PROPERLY"
#FILELIST 67 20 "INSTALL.ERR"
#GOSUB SEE_READ_ME_FILE
#EXIT
;-------------------------

; ==== Final Message
:Final
#PROMPT "F I N I S H"
#TEXT ^ 0 3 67

~Installation of the ELFISH DEMO is complete.
~For the El-Fish to work correctly on your machine,
~your AUTOEXEC.BAT and CONFIG.SYS files
~may need to be altered.
~See the examples of these files in the ELFISH root subdirectory
~and compare them with that in your computer's root directory.
~Note PATH in AUTOEXEC.BAT
~and FILES & BUFFERS values in CONFIG.SYS
~After changes have been completed, restart your computer.

~Enjoy ELFISH !

#

#GOSUB SEE_READ_ME_FILE

; #RESTART  ; reboot system
:quit
#EXIT

; =====================================
; ===      S U B R O U T I N E S    ===
; =====================================
;Ŀ
;                Hardware Testing On Entry            
;
:HARDWARE_TEST
; === check mouse driver
#if @mouse > 0 GOTO MSOK
#text ^ 0 0 0

~
~
~

#
#ABORT
:MSOK

; === check cpu80386-card presence
#if @is386 > 0 GOTO CPUOK
#text ^ 0 0 0

~ATTENTION !!!

~ELFISH REQUIRES i386 processor or higher

#
#ABORT
:CPUOK

; === check VGA-card presence
#if @isvga > 0 GOTO VGAOK
#text ^ 0 0 0

~ATTENTION !!!
~NO VGA CARD
~IN YOUR SYSTEM

#
#ABORT
:VGAOK

; === check minimal RAM-size
#if @ramsize > 3600 GOTO RAMOK
#text ^ 0 0 0

~ATTENTION !!!
~NOT ENOUGH RAM
~IN YOUR CPU TO RUN DEMO

#
#ABORT
:RAMOK

; === Check math-coprocessor presence
#if @is87 > 0 GOTO OKi87
#text ^ 0 0 0

~ATTENTION !!!
~NO NUMERIC COPROCESSOR
~IN YOUR SYSTEM

#
; @PACKMODE -= 2
@PACKMODE += 1
:OKi87

#RETURN ;HARDWARE_TEST

;Ŀ
;       Correction of the AUTOEXEC.BAT - file         
;
:MAKE_AUTOEXEC
; Specification of the suspicial keywords
#KEYWORDS  "ATTENTION! These keyword(s) in your AUTOEXEC.BAT may cause a conflict with El-Fish"
  EMM386
  386MAX
#
#AUTOEXEC  ; correct an AUTOEXEC.BAT file
#IF @reply = 0 #RETURN
@errors = @errors + 1;
#TOFILE  "INSTALL.ERR"
  ATTENTION!
       YOUR AUTOEXEC.BAT HAS BEEN CHANGED!
  The old AUTOEXEC is saved as AUTOEXEC.OLD
#
#IF @reply = 0 #RETURN
#TOFILE  "INSTALL.ERR"
    Your PATH line is too long !
       Please enter a new path.
#
#RETURN ;

;Ŀ
;         Correction of the CONFIG.SYS - file         
;
:MAKE_CONFIGSYS
; Specification of the suspicial keywords
#KEYWORDS  "ATTENTION! These keyword(s) in your CONFIG.SYS may cause a conflict with the Demo"
  EMM386
  386MAX
#
#CONFIGSYS 20 32

#RETURN ;

;Ŀ
;                   Read.ME file observing            
;
:SEE_READ_ME_FILE


#FILELIST 67 20 "READ.ME"

#RETURN ;

; =====================================
; ===   END of ELFISH INSTALLATION  ===
; =====================================
#END

